import httpx
from posting import Posting


def on_response(response: httpx.Response, posting: Posting) -> None:
    key = response.json()["key"]
    print(f"Setting '$last_secret_key' to {key}")
    posting.set_variable("last_secret_key", key)
